%{?nodejs_find_provides_and_requires}

%global packagename cors

# tests disabled due to dependency on an a newer npm(express)
%global enable_tests 0

Name:		nodejs-cors
Version:	2.8.4
Release:	3%{?dist}
Summary:	Node.js CORS middleware

License:	MIT
URL:		https://github.com/expressjs/cors
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(vary)
BuildRequires:	npm(object-assign)
%if 0%{?enable_tests}
BuildRequires:	npm(express)
BuildRequires:	npm(supertest)
%endif

%description
Node.js CORS middleware


%prep
%autosetup -n package

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Sep 25 2017 Jared Smith <jsmith@fedoraproject.org> - 2.8.4-1
- Update to upstream 2.8.4 release

* Thu Apr 13 2017 Jared Smith <jsmith@fedoraproject.org> - 2.8.3-1
- Initial packaging
